Doomsday Engine - Bug #2310

[UI] Metadata text wrapping: should force-break very long words in Package Info popup
2018-12-18 15:26 - xe_sued

Status: New Start date: 2018-12-18
Priority: Low % Done: 0%
Assignee: skyjake

Category: User experience

Target version: 2.3.x

Description

If a character string delimited by spaces exceeds the maximum line length of 33 characters, Doomsday shifts down the entry by one
line, starting from the beginning of the overlong string and then applies a line break. The 'version' and 'license' entries are affected
likewise.

Windows 10 x64 v1809, Doomsday x64 build 2904

History

#1 - 2018-12-18 15:30 - skyjake

This issue is not unique to package metadata. It generally relates to forced word wrapping behavior in LabelWidget.

#2 - 2018-12-19 06:36 - xe_sued

Update: URLs (i.e. strings containing forward slashes "/") doesn't seem to be affected by this issue, they get properly wrapped to the next line.

#3 - 2018-12-19 10:13 - skyjake

- Target version set to 2.3.x

#4 - 2018-12-19 10:13 - skyjake

- Priority changed from Normal to Low

#5 - 2019-11-26 12:40 - skyjake

- Subject changed from Doomsday 2 package - info.dei: maximum string length issue to Doomsday 2 package - Ul text wrapping issue in Package Info
popup

#6 - 2019-12-01 22:25 - skyjake

- Subject changed from Doomsday 2 package - Ul text wrapping issue in Package Info popup to [UI] Metadata text wrapping: should force-break very
long words in Package Info popup
